<?xml version="1.0"?> 
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:db="http://www.psol.com/2001/docbook"
                xmlns:xm="http://www.ananas.org/2001/XM/Walk/Directory"
                xmlns:xl="http://www.ananas.org/2001/XM/Walk/Link"
                exclude-result-prefixes="db xm">

<xsl:output method="html"/>

<xsl:param name="sponsor" select="'none'"/>

<xsl:template match="db:article">
   <html>
      <xsl:apply-templates select="db:articleinfo" mode="header"/>
      <body>
         <xsl:apply-templates select="db:articleinfo" mode="banner"/>
         <xsl:apply-templates/>
         <xsl:apply-templates select="db:articleinfo" mode="footer"/>
      </body>
   </html>
</xsl:template>

<xsl:template match="db:articleinfo" mode="header">
   <head>
      <title>
         <xsl:value-of select="db:title"/>
         <xsl:apply-templates select="db:subtitle" mode="header"/>
      </title>
      <meta name="MSSmartTagsPreventParsing" content="TRUE"/>
   </head>
</xsl:template>

<xsl:template match="db:subtitle" mode="header">
   <xsl:text> - </xsl:text>
   <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="db:articleinfo" mode="banner">
<xsl:if test="$sponsor='dw'">
<script language="JavaScript"><![CDATA[<!--
function gotosite()
{
   var L = document.formSpinbox.URI.selectedIndex;
   if(L != 0)
   {
      location.href = document.formSpinbox.URI.options[L].value;
      return false;
   }
}
// -->]]></script>
<center>
<form method="get" action="http://www.ibm.com/links/" name="formSpinbox">
   <img src="!images/buttons/dw.gif" alt="developerWorks" width="136" height="24" align="absmiddle"/>
   <xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
   <select style="background:#ffffcc;color:#000000;font-size:xx-small;" name="URI" onChange="return gotosite();">
      <option value="http://www.ibm.com/developerWorks/">developerWorks</option>
      <option value="http://www-106.ibm.com/developerworks/sitemap.html">-------------------</option>
      <option value="http://www-106.ibm.com/developerworks/java/">Java</option>
      <option value="http://www-106.ibm.com/developerworks/linux/">Linux</option>
      <option value="http://www-106.ibm.com/developerworks/opensource/">Opensource</option>
      <option value="http://www-106.ibm.com/developerworks/xml/">XML</option>
      <option value="http://www-106.ibm.com/developerworks/sitemap.html">-------------------</option>
      <option value="http://www-106.ibm.com/developerworks/sitemap.html">Site map</option>
   </select>
   <input type="image" src="!images/icons/go.gif" with="16" height="15" border="0" alt="Go"/>
   <xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
   <xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
   <a href="!index.xm"><img align="absmiddle" width="53" height="50" border="0" alt="ananas.org" src="!images/buttons/oss.gif"/></a>
   <xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
   <a href="http://www.marchal.com/"><img align="absmiddle" width="85" height="40" border="0" alt="marchal.com" src="!images/buttons/marchal.jpg"/></a>
   <xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
   <a href="http://www.pineapplesoft.com/newsletter/"><img align="absmiddle" width="85" height="40" border="0" alt="Pineapplesoft Link" src="!images/buttons/pslink.gif"/></a>
</form>
</center>
</xsl:if>
</xsl:template>

<xsl:template match="db:articleinfo" mode="footer">
   <p><small><xsl:apply-templates select="db:copyright"/></small></p>
   <xsl:if test="$sponsor='none' or $sponsor='ananas'">
      <center>
         <xsl:if test="$sponsor='ananas'">
            <a href="http://www.ibm.com/developerWorks"><img align="middle" width="136" height="24" border="0" alt="developerWorks" src="!images/buttons/dw.gif"/></a>
            <xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
         </xsl:if>
         <a href="http://www.marchal.com/"><img align="middle" width="85" height="40" border="0" alt="marchal.com" src="!images/buttons/marchal.jpg"/></a>
         <xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
         <a href="http://www.pineapplesoft.com/newsletter/"><img align="middle" width="85" height="40" border="0" alt="Pineapplesoft Link" src="!images/buttons/pslink.gif"/></a>
      </center>
   </xsl:if>
</xsl:template>

<xsl:template match="db:emphasis">
   <i><xsl:apply-templates/></i>
</xsl:template>

<xsl:template match="db:copyright">
   <xsl:param name="language" select="'en'"/>
   <xsl:text>&#169; </xsl:text>
   <xsl:value-of select="db:year[1]"/>
   <xsl:if test="count(db:year) > 1">
      <xsl:text>-</xsl:text>
      <xsl:value-of select="db:year[position() = last()]"/>
   </xsl:if>
   <xsl:text>, </xsl:text>
   <xsl:apply-templates select="db:holder"/>
   <xsl:choose>
      <xsl:when test="$language='fr'">
         <xsl:text>. Tous droits r&#233;serv&#233;s.</xsl:text>
      </xsl:when>
      <xsl:otherwise>
         <xsl:text>. All rights reserved.</xsl:text>
      </xsl:otherwise>
   </xsl:choose>
</xsl:template>

<xsl:template match="db:articleinfo">
   <h1><xsl:apply-templates select="db:title"/></h1>
   <!-- <xsl:apply-templates select="db:author" mode="under-title"/> -->
</xsl:template>

<xsl:template match="db:author">
   <xsl:value-of select="db:firstname"/>
   <xsl:text> </xsl:text>
   <xsl:value-of select="db:surname"/>
   <xsl:apply-templates select="db:affiliation"/>
</xsl:template>

<xsl:template match="db:author" mode="under-title">
   <p>by <xsl:apply-templates select="."/></p>
</xsl:template>

<xsl:template match="db:affiliation">
   <xsl:text> (</xsl:text>
   <xsl:value-of select="db:orgname"/>
   <xsl:text>)</xsl:text>
</xsl:template>

<xsl:template match="db:simpara">
   <p><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="db:citetitle[@pubwork='article' or @pubwork='series']">
   <xsl:text>"</xsl:text><xsl:apply-templates/><xsl:text>"</xsl:text>
</xsl:template>

<xsl:template match="db:citetitle[@pubwork='journal' or @pubwork='book']">
   <i><xsl:apply-templates/></i>
</xsl:template>

<xsl:template match="db:ulink">
   <a href="{@href}">
      <xsl:apply-templates select="@type"/>
      <xsl:apply-templates/>
   </a>
</xsl:template>

<xsl:template match="db:ulink/@type">
   <xsl:attribute name="target"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>

<xsl:template match="db:itemizedlist">
   <ul><xsl:apply-templates/></ul>
</xsl:template>

<xsl:template match="db:listitem">
   <li><xsl:apply-templates/></li>
</xsl:template>

<xsl:template match="db:bibliography">
   <xsl:apply-templates select="db:bibliomixed[1]/preceding-sibling::*"/>
   <ul>
      <xsl:apply-templates select="db:bibliomixed"/>
   </ul>
</xsl:template>

<xsl:template match="db:bibliography/db:title">
   <h2><a name="{generate-id(../..)}"><xsl:apply-templates/></a></h2>
</xsl:template>

<xsl:template match="db:sect1info/db:title">
   <h2><a name="{generate-id(../..)}"><xsl:apply-templates/></a></h2>
</xsl:template>

<xsl:template match="db:bibliomixed">
   <li><xsl:apply-templates/></li>
</xsl:template>

<xsl:template match="db:bibliomixed//db:title | db:bibliomixed//db:subtitle">
   <i><xsl:apply-templates/></i>
</xsl:template>

<!-- enough megalomania already... -->

<xsl:template match="db:bibliomixed//db:firstname">
   <xsl:if test="normalize-space(text()) != 'Beno&#238;t'">
      <xsl:text> by </xsl:text>
      <xsl:apply-templates/>
   </xsl:if>
</xsl:template>

<xsl:template match="db:bibliomixed//db:surname">
   <xsl:if test="normalize-space(text()) != 'Marchal'">
      <xsl:apply-templates/>
   </xsl:if>
</xsl:template>

<xsl:template match="db:bibliomset[@relation='journal']">
   <xsl:text> published by </xsl:text>
   <xsl:apply-templates/>
</xsl:template>

<!--<xsl:template match="db:mediaobject">
   <table border="0" align="right"><xsl:apply-templates/></table>
</xsl:template>

<xsl:template match="db:caption">
   <tr><td valign="top"><xsl:apply-templates/></td></tr>
</xsl:template>

<xsl:template match="db:caption/db:simpara">
   <xsl:apply-templates/><br/>
</xsl:template>

<xsl:template match="db:imagedata">
   <tr><td valign="top">
      <xsl:apply-templates select="@align"/>
      <img src="{@fileref}">
      <xsl:apply-templates select="@depth | @width"/>
   </img></td></tr>
</xsl:template>-->

<xsl:template match="db:caption"/>

<xsl:template match="db:imagedata">
   <img src="{@fileref}" border="0" hspace="5">
      <xsl:apply-templates select="@depth | @width | @align"/>
      <xsl:apply-templates select="../../db:caption" mode="atts"/>
   </img>
</xsl:template>

<xsl:template match="db:mediaobject/db:caption" mode="atts">
   <xsl:attribute name="alt"><xsl:value-of select="db:simpara[1]"/></xsl:attribute>
</xsl:template>

<!--<xsl:template match="db:mediaobject">
   <table border="0" align="right"><xsl:apply-templates select="//db:imagedata/@width"/><xsl:apply-templates/></table>
</xsl:template>

<xsl:template match="db:caption">
   <tr><td bgcolor="black"><font color="white"><xsl:apply-templates/></font>
   </td></tr>
</xsl:template>

<xsl:template match="db:caption/db:simpara">
   <xsl:apply-templates/><br/>
</xsl:template>

<xsl:template match="db:imagedata">
   <tr><td><img src="{@fileref}">
      <xsl:apply-templates select="@depth | @width | @align"/>
   </img></td></tr>
</xsl:template>-->

<xsl:template match="db:imagedata/@depth">
   <xsl:attribute name="heigth">
      <xsl:value-of select="."/>
   </xsl:attribute>
</xsl:template>

<xsl:template match="db:imagedata/@width">
   <xsl:attribute name="width">
      <xsl:value-of select="."/>
   </xsl:attribute>
</xsl:template>

<xsl:template match="db:imagedata/@align">
   <xsl:attribute name="align">
      <xsl:value-of select="."/>
   </xsl:attribute>
</xsl:template>

<xsl:template match="db:anchor">
   <a name="{@id}"/>
</xsl:template>

<xsl:template match="xm:Directory">
   <ul>
      <xsl:apply-templates>
<!--         <xsl:sort select="xm:File" order="ascending"/>-->
      </xsl:apply-templates>
   </ul>
</xsl:template>

<xsl:template match="xm:File[@isDirectory='true']">
   <xsl:variable name="index-name" select="concat(text(),'/index.xml')"/>
   <xsl:variable name="index-doc" select="document(concat('x-source:',$index-name))"/>
   <xsl:if test="not($index-doc/xm:NotAvailable)">
      <xsl:variable name="index-info" select="$index-doc/db:article/db:articleinfo"/>
      <li>
         <a href="{$index-name}">
            <xsl:value-of select="$index-info/db:title"/>
            <xsl:if test="$index-info/db:subtitle">
               <xsl:text>: </xsl:text>
               <xsl:value-of select="$index-info/db:subtitle"/>
            </xsl:if>
         </a>
      </li>
   </xsl:if>
</xsl:template>

<xsl:template match="xm:File"/>

</xsl:stylesheet>
