/**
 * Does nothing with the input/output.
 *
 * @author <a href="http://www.marchal.com">Beno&#238;t Marchal</a>
 */

// Copyright 2002, Benot Marchal.

package org.ananas.xm;

import java.io.*;

public class NoneMover
   extends DefaultMoverImpl
{
   /**
    * Return the name the file would have after moving. In this case,
    * it's left unchanged.
    * @param file file the mover would have to move
    * @return the extension it would give the file in the target directory
    */
   public String getTargetName(File file)
   {
      return "";
   }

   /**
    * Creates a NoneMover.
    * @param messenger reports error on this Messenger
    * @param build process all files irrespective of last modified
    */
   public NoneMover(Messenger messenger,boolean build)
   {
      super(messenger,build);
   }

   /**
    * Move one file (i.e. does nothing).
    * @param sourceFile the file to move
    * @param targetDir the directory to copy the result to
    * @param depth how far from the root (0 = root)
    * @return styled file or null if the file was ignored
    */
   public File move(File sourceFile,File targetDir,int depth)
      throws XMException
   {
      return null;
   }
}
