/**
 * A convenience class: gives static access to the project resources
 * using the default Locale.
 *
 * @author <a href="http://www.marchal.com">Beno&#238;t Marchal</a>
 */

// Copyright 2001, Benot Marchal.

package org.ananas.xm;

import java.util.*;

public final class Resources
{
   /**
    * the ResourceBundle for this project
    */
   public static final ResourceBundle resources =
      ResourceBundle.getBundle("org.ananas.xm.Strings");

   /**
    * returns the resource string associated with the key
    * @param key the resource key
    * @return the resource string
    * @throw MissingResourceException if the resource is missing
    */
   public static final String getString(String key)
      throws MissingResourceException
   {
      return resources.getString(key);
   }
}
