package org.ananas.xm.eclipse;

import org.ananas.xm.*;
import org.eclipse.ui.*;
import org.eclipse.jface.preference.*;

/**
 * @author bmarchal
 */
public class XMPreferencesPage
   extends FieldEditorPreferencePage
   implements PluginConstants, IWorkbenchPreferencePage 
{
   public XMPreferencesPage()
   {
      super(GRID);          
      IPreferenceStore store = XMPlugin.getDefault().getPreferenceStore();
      setPreferenceStore(store);       
   }
   
   protected void createFieldEditors() 
   {
      RadioGroupFieldEditor levelEditor =
         new RadioGroupFieldEditor(LEVEL_PREFERENCE_NAME,
                                   Resources.getString("eclipse.level"),
                                   1,
                                   new String[][]
                                   {
                                      { Resources.getString("eclipse.level.all"), LEVEL_ALL },
                                      { Resources.getString("eclipse.level.info"), LEVEL_INFO },
                                      { Resources.getString("eclipse.level.warning"), LEVEL_WARNING },
                                      { Resources.getString("eclipse.level.error"), LEVEL_ERROR },
                                   },
                                   getFieldEditorParent());
      addField(levelEditor);                             
   }

   public void init(IWorkbench workbench)
   {
   }
}