<?xml version="1.0"?>
<!DOCTYPE MACROS SYSTEM "macros.dtd">
<MACROS>
<MACRO name="Insert_Bold" key="Ctrl+B" lang="JScript" id="20403"><![CDATA[
if(ActiveDocument.documentElement)
{
   if(Selection.ContainerName == "b")
      Selection.RemoveContainerTags()
   else if(Selection.CanSurround("b"))
      Selection.Surround("b")
}]]></MACRO>
<MACRO name="Insert_Italic" key="Ctrl+I" lang="JScript" id="20411"><![CDATA[
if(ActiveDocument.documentElement)
{
   if(Selection.ContainerName == "i")
      Selection.RemoveContainerTags()
   else if(Selection.CanSurround("i"))
      Selection.Surround("i")
}
]]></MACRO>
<MACRO name="Insert_Major_Heading" key="Ctrl+Shift+1" lang="JScript" id="1730"><![CDATA[
if(ActiveDocument.documentElement)
{
   if(Selection.ContainerName != "article")
   {
      while(!(Selection.CanInsert("p") ||
              Selection.ContainerName == "article"))
         Selection.SelectAfterContainer()
   }
   // I do not catch all the cases with those tests
   // but I'm trying to catch all the common ones
   // the lousy DTD from IBM does not help easily
   // writing good tests
   if(Selection.IsParentElement("p"))
      Selection.SelectAfterContainer()
   if(Selection.ContainerName == "p")
      Selection.SelectAfterContainer()
   if(Selection.CanInsert("p"))
   {
      Selection.InsertElement("p")
      Selection.InsertWithTemplate("heading")
      Selection.ContainerAttribute("type") = "major"
      Selection.ContainerAttribute("toc") = "yes"
      var st = Application.Prompt("Enter the reference name","h1.1",null,null,"developerWorks")
      Selection.ContainerAttribute("refname") = st != null && st != "" ? st : "h1"
   }
}
]]></MACRO>
<MACRO name="Insert_Minor_Heading" key="Ctrl+Shift+2" lang="JScript" id="1731"><![CDATA[
if(ActiveDocument.documentElement)
{
   if(Selection.ContainerName != "article")
   {
      while(!(Selection.CanInsert("p") ||
              Selection.ContainerName == "article"))
         Selection.SelectAfterContainer()
   }
   // I do not catch all the cases with those tests
   // but I'm trying to catch all the common ones
   // the lousy DTD from IBM does not help easily
   // writing good tests
   if(Selection.IsParentElement("p"))
      Selection.SelectAfterContainer()
   if(Selection.ContainerName == "p")
      Selection.SelectAfterContainer()
   if(Selection.CanInsert("p"))
   {
      Selection.InsertElement("p")
      Selection.InsertWithTemplate("heading")
      Selection.ContainerAttribute("type") = "minor"
      Selection.ContainerAttribute("toc") = "yes"
      var st = Application.Prompt("Enter the reference name","h2.1",null,null,"developerWorks")
      Selection.ContainerAttribute("refname") = st != null && st != "" ? st : "h2"
   }
}]]></MACRO>
<MACRO name="Insert_Inline_Code" key="Ctrl+M" lang="JScript" id="1206"><![CDATA[
if(ActiveDocument.documentElement)
{
   if(Selection.ContainerName == "code" &&
      Selection.ContainerAttribute("type") == "inline")
      Selection.RemoveContainerTags()
   else if(Selection.CanSurround("code") &&
           // to prevent code[@type='section']
           Selection.ContainerName != "code")
   {
      Selection.Surround("code")
      Selection.ContainerAttribute("type") = "inline"
   }
}]]></MACRO>
<MACRO name="Insert_Section_Code" key="" lang="JScript" id="1205"><![CDATA[
if(ActiveDocument.documentElement)
{
   // I do not catch all the cases with those tests
   // but I'm trying to catch all the common ones
   // the lousy DTD from IBM does not help easily
   // writing good tests
   if(Selection.IsParentElement("p"))
      Selection.SelectAfterContainer()
   if(Selection.ContainerName == "p")
      Selection.SelectAfterContainer()
   if(Selection.CanInsert("code"))
   {
      Selection.InsertWithTemplate("code")
      Selection.ContainerAttribute("type") = "section"
   }
}]]></MACRO>
<MACRO name="Insert_Red_Bold" key="" lang="JScript" id="1659"><![CDATA[
if(ActiveDocument.documentElement)
{
   if(Selection.ContainerName == "b")
      if(Selection.ContainerAttribute("class") == "red")
         Selection.RemoveContainerTags()
      else
         Selection.ContainerAttribute("class") = "red"
   else if(Selection.CanSurround("b"))
   {
      Selection.Surround("b")
      Selection.ContainerAttribute("class") = "red"
   }
}]]></MACRO>
<MACRO name="Insert_Blue_Bold" key="" lang="JScript" id="1657"><![CDATA[

if(ActiveDocument.documentElement)
{
   if(Selection.ContainerName == "b")
      if(Selection.ContainerAttribute("class") == "blue")
         Selection.RemoveContainerTags()
      else
         Selection.ContainerAttribute("class") = "blue"
   else if(Selection.CanSurround("b"))
   {
      Selection.Surround("b")
      Selection.ContainerAttribute("class") = "blue"
   }
}]]></MACRO>
<MACRO name="Insert_Green_Bold" key="" lang="JScript" id="1656"><![CDATA[
if(ActiveDocument.documentElement)
{
   if(Selection.ContainerName == "b")
      if(Selection.ContainerAttribute("class") == "green")
         Selection.RemoveContainerTags()
      else
         Selection.ContainerAttribute("class") = "green"
   else if(Selection.CanSurround("b"))
   {
      Selection.Surround("b")
      Selection.ContainerAttribute("class") = "green"
   }
}]]></MACRO>
<MACRO name="Insert_Code_Heading" key="Ctrl+Shift+3" lang="JScript" id="1249"><![CDATA[
if(ActiveDocument.documentElement)
{
   if(Selection.ContainerName != "article")
   {
      while(!(Selection.CanInsert("code") ||
              Selection.ContainerName == "article"))
         Selection.SelectAfterContainer()
   }
   // I do not catch all the cases with those tests
   // but I'm trying to catch all the common ones
   // the lousy DTD from IBM does not help easily
   // writing good tests
   if(Selection.IsParentElement("p") ||
      Selection.IsParentElement("code"))
      Selection.SelectAfterContainer()
   if(Selection.ContainerName == "p" ||
      Selection.ContainerName == "code")
      Selection.SelectAfterContainer()
   if(Selection.CanInsert("code"))
   {
      Selection.InsertElement("code")
      Selection.ContainerAttribute("type") = "section"
      Selection.InsertWithTemplate("heading")
      Selection.ContainerAttribute("type") = "code"
      Selection.ContainerAttribute("toc") = "no"
      var st = Application.Prompt("Enter the reference name","c.1",null,null,"developerWorks")
      Selection.ContainerAttribute("refname") = st != null && st != "" ? st : "c.1"
   }
}
]]></MACRO>
</MACROS>