<?xml version="1.0"?>
<!DOCTYPE MACROS SYSTEM "macros.dtd">
<MACROS>
<MACRO name="Insert Italic" key="Ctrl+I" lang="JScript" id="20411"><![CDATA[
if(ActiveDocument.documentElement)
{
   if(Selection.ContainerName == "i")
      Selection.RemoveContainerTags()
   else if(Selection.CanSurround("i"))
      Selection.Surround("i")
}
]]></MACRO>
<MACRO name="Insect Section 1" key="Ctrl+1" lang="JScript" id="1710"><![CDATA[
if(ActiveDocument.documentElement)
{
   if(Selection.FindInsertLocation("sect1"))
      Selection.InsertWithTemplate("sect1")
}]]></MACRO>
<MACRO name="Insert Section 2" key="Ctrl+2" lang="JScript" id="1711"><![CDATA[
if(ActiveDocument.documentElement)
{
   if(Selection.FindInsertLocation("sect2"))
      Selection.InsertWithTemplate("sect2")
}]]></MACRO>
<MACRO name="Insert Article Information" key="" lang="JScript" id="1213"><![CDATA[
if(ActiveDocument.documentElement)
{
   var articleinfos = ActiveDocument.getElementsByTagName("articleinfo")
   if(0 != articleinfos.length)
   {
      var titles = articleinfos(0).getElementsByTagName("title")
      if(0 != titles.length)
      {
         Selection.SelectAfterNode(titles(titles.length - 1))
         if(Selection.CanInsert("author"))
            author = Selection.InsertWithTemplate("author")
         while(!(Selection.CanInsert("copyright") ||
               Selection.ContainerName == "article"))
            Selection.SelectAfterContainer()
         if(Selection.CanInsert("copyright"))
            Selection.InsertWithTemplate("copyright")
      }
   }
}]]></MACRO>
<MACRO name="Insert Hyperlink" key="Ctrl+H" lang="JScript" id="20308"><![CDATA[
if(ActiveDocument.documentElement)
{
   if(Selection.ContainerName == "ulink")
      Selection.RemoveContainerTags()
   else if(Selection.CanInsert("ulink"))
   {
      var st = Application.Prompt("Enter the URI","",null,null,"docbook")
      if(st != null && st != "")
      {
         Selection.InsertElement("ulink")
         Selection.ContainerAttribute("uri") = st
      }
   }
}
]]></MACRO>
<MACRO name="Insert Emphasis" key="Ctrl+B" lang="JScript" id="1200"><![CDATA[
if(ActiveDocument.documentElement)
{
   if(Selection.ContainerName == "emphasis")
      Selection.RemoveContainerTags()
   else if(Selection.CanSurround("emphasis"))
      Selection.Surround("emphasis")
}]]></MACRO>
</MACROS>